//
//  SBSDKMedicalCertificateRecognizerResultPatientFieldType.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 16.02.23.
//

import Foundation
import ScanbotSDK

internal extension SBSDKMedicalCertificateRecognizerResultPatientFieldType {
    
    var stringName: String? {
        switch self {
        case .insuranceProvider: return "InsuranceProvider"
        case .firstName: return "FirstName"
        case .lastName: return "LastName"
        case .addressString1: return "AddressString1"
        case .addressString2: return "AddressString2"
        case .diagnose: return "Diagnose"
        case .healthInsuranceNumber: return "HealthInsuranceNumber"
        case .insuredPersonNumber: return "InsuredPersonNumber"
        case .status: return "Status"
        case .placeOfOperationNumber: return "PlaceOfOperationNumber"
        case .doctorNumber: return "DoctorNumber"
        case .undefined: return "Undefined"
        @unknown default:
            fatalError("SBSDKMedicalCertificateRecognizerResultPatientFieldType \(self) not handled")
        }
    }
}
