//
//  SBSDKUIDocumentScannerConfiguration.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import Foundation
import ScanbotSDK

extension SBSDKUIDocumentScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIDocumentScannerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIDocumentScannerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIDocumentScannerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration)
    }
}
