#import "ScanbotSdkPlugin.h"
#import <scanbot_sdk/scanbot_sdk-Swift.h>
#import <Flutter/Flutter.h>

@implementation ScanbotSdkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    CameraNativeViewFactory* cameraFactory =
          [[CameraNativeViewFactory alloc] initWithMessenger:registrar.messenger];
  
    [registrar registerViewFactory:cameraFactory withId:@"scanbot_sdk_camera"];
   
    CroppingNativeViewFactory* croppingFactory =
          [[CroppingNativeViewFactory alloc] initWithMessenger:registrar.messenger];
  
    [registrar registerViewFactory:croppingFactory withId:@"scanbot_sdk_cropping"];
   
    [SwiftScanbotSdkPlugin registerWithRegistrar:registrar];
}
@end
