package io.scanbot.sdk.flutter.camera.config

import android.graphics.PointF

class CroppingViewConfig {

    // Width of the cropping rectangle lines
    var edgeLineWidth: Float? = null

    // Color of the cropping rectangle lines
    var edgeColor: String? = null

    // Color of the cropping rectangle lines when they are snapped in place
    var edgeColorOnLine: String? = null

    // Color of the cropping rectangle anchor points
    var anchorPointsColor: String? = null

    // Distance from the edge of the widget to the cropped image
    var borderInsets: Inset? = null

}

class CroppingResult(val polygon: List<PointF>, val rotationTimesCw :Int)